- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Action::FixIso Class Reference

Copy ISO settings from any of the Nikon makernotes to the regular Exif tag, Exif.Photo.ISOSpeedRatings. More...

`#include <actions.hpp>`

Inheritance diagram for Action::FixIso:

[legend]
Collaboration diagram for Action::FixIso:

[legend]
List of all members.

## Public Types
typedef std::auto_ptr< FixIso > | AutoPtr
| Shortcut for an auto pointer.
## Public Member Functions
virtual int | run (const std::string &path)
| Application interface to perform a task.
AutoPtr | clone () const
| Virtual copy construction.

## Detailed Description

Copy ISO settings from any of the Nikon makernotes to the regular Exif tag, Exif.Photo.ISOSpeedRatings.

## Member Function Documentation

int Action::FixIso::run | ( | const std::string & | path | ) | `[virtual]`

  | Application interface to perform a task. Parameters:
  | path | Path of the file to process.
Returns: 0 if successful. Implements Action::Task.

The documentation for this class was generated from the following files:

- actions.hpp
- actions.cpp